#!/bin/bash
## Build v0.1
## By Marcel Stangenberger

REPO=https://git.xoservice.nl/marcel/deploy
GREEN='\033[0;32m'
RED='\033[0;31m'
NOCOL='\033[0m'

Fail() {
	echo -e "${RED}no package was selected, exitting${NOCOL}"
    exit 1
}

Exec() {
    echo -e "${GREEN}Starting installation of $1${NOCOL}"
    sleep 2
    bash -c "$(curl -fsSL $REPO/raw/master/$1/install.sh)"
    exit 0
}

if [[ -z $1 ]]
then
        Fail
else
        Exec $1
fi
